USERMOD(8)

NOM
usermod - Modifier un compte utilisateur

SYNOPSIS

usermod [options] LOGIN

DESCRIPTION

La commande usermod modifie les fichiers d'administration des comptes du système selon les modifications qui ont été indiquées sur la ligne de commande.

OPTIONS

Les options disponibles pour la commande usermod sont :

-a, --append
    Ajouter l'utilisateur aux groupes supplémentaires. N'utilisez cette option qu'avec l'option -G.

-c, --comment COMMENTAIRE
    La nouvelle valeur du champ de commentaire du fichier de mots de passe pour l'utilisateur. Il est normalement modifié en utilisant l'utilitaire chfn(1).

-d, --home RÉP_PERSO
    Le nouveau répertoire personnel de l'utilisateur.

    Si l'option -m est fournie, le contenu du répertoire personnel actuel sera déplacé dans le nouveau répertoire personnel, qui sera créé si nécessaire.

-e, --expiredate DATE_FIN_VALIDITÉ
    Date à laquelle le compte utilisateur sera désactivé. La date est indiquée dans le format AAAA-MM-JJ.

-f, --inactive DURÉE_INACTIVITÉ
    Nombre de jours suivant la fin de validité d'un mot de passe après lequel le compte est définitivement désactivé.

    Une valeur de 0 désactive le compte dès que le mot de passe a dépassé sa fin de validité, et une valeur de -1 désactive cette fonctionnalité.

-g, --gid GROUPE
    Nom du groupe ou identifiant numérique du groupe de connexion initial de l'utilisateur. Le groupe doit exister.

-G, --groups GROUPE1[,GROUPE2,...[,GROUPEN]]]
    Liste de groupes supplémentaires auxquels appartient également l'utilisateur. Chaque groupe est séparé du suivant par une virgule, sans espace entre eux. Les groupes sont soumis aux mêmes restrictions que celles de l'option -g.

    Si l'utilisateur fait actuellement partie d'un groupe qui n'est pas listé, l'utilisateur sera supprimé du groupe. Ce comportement peut être modifié par l'option -a, qui permet d'ajouter l'utilisateur à la liste actuelle des groupes supplémentaires.

-l, --login NOUVEAU_LOGIN
    Le nom de l'utilisateur passera de LOGIN à NOUVEAU_LOGIN. Rien d'autre ne sera modifié. En particulier, le nom du répertoire personnel de l'utilisateur devra probablement être changé pour refléter le nouveau nom de connexion.

-L, --lock
    Verrouiller le mot de passe d'un utilisateur. Cette option ajoute un « ! » devant le mot de passe chiffré, ce qui désactive le mot de passe. Vous ne pouvez pas utiliser cette option avec -p ou -U.

    Note: if you wish to lock the account (not only access with a password), you should also set the EXPIRE_DATE to 1.

-m, --move-home
    Move the content of the user's home directory to the new location.

    This option is only valid in combination with the -d (or --home) option.

-o, --non-unique
    En combinaison avec l'option -u, cette option permet de changer l'identifiant utilisateur vers une valeur déjà utilisée.

-p, --password MOT_DE_PASSE
    Mot de passe chiffré, comme renvoyé par crypt(3).

    Note: This option is not recommended because the password (or encrypted password) will be visible by users listing the processes.

    You should make sure the password respects the system's password policy.

-s, --shell INTERPRÉTEUR
    Nom du nouvel interpréteur de commandes initial (« login shell ») de l'utilisateur. Si ce champ est vide, le système sélectionnera l'interpréteur de commandes initial par défaut.

-u, --uid UID
    La valeur numérique de l'identifiant de l'utilisateur.

    Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur ne doit pas être négative. Les valeurs comprises entre 0 et 999 sont généralement réservées aux comptes système.

    La boîte aux lettres et tous les fichiers possédés par l'utilisateur et qui sont situés dans son répertoire personnel verront leur identifiant d'utilisateur automatiquement modifié.

    Le propriétaire (ou groupe propriétaire) des fichiers en dehors du répertoire personnel de l'utilisateur doit être modifié manuellement.

-U, --unlock
    Déverrouiller le mot de passe d'un utilisateur. Cela supprime le « ! » situé devant le mot de passe chiffré. Vous ne pouvez pas utiliser cette option avec -p ou -L.

    Note: if you wish to unlock the account (not only access with a password), you should also set the EXPIRE_DATE (for example to 99999, or to the EXPIRE value from /etc/default/useradd).

-Z, --selinux-userUTILISATEUR_SELINUX
    The SELinux user for the user's login. The default is to leave this field the blank, which causes the system to select the default SELinux user.

AVERTISSEMENTS

You must make certain that the named user is not executing any processes when this command is being executed if the user's numerical user ID, the user's name, or the user's home directory is being changed. usermod checks this on Linux, but only check if the user is logged in according to utmp on other architectures.

You must change the owner of any crontab files or at jobs manually.

You must make any changes involving NIS on the NIS server.

CONFIGURATION

Les variables de configuration suivantes de /etc/login.defs modifient le comportement de cet outil :

MAIL_DIR (chaîne ce caractères)
    Répertoire d'attente des courriels (« mail spool directory »). Ce paramètre est nécessaire pour manipuler les boîtes à lettres lorsque le compte d'un utilisateur est modifié ou supprimé. S'il n'est pas spécifié, une valeur par défaut définie à la compilation est utilisée.

MAIL_FILE (chaîne ce caractères)
    Définit l'emplacement des boîtes aux lettres des utilisateurs relativement à leur répertoire personnel.

Les paramètres MAIL_DIR et MAIL_FILE sont utilisées par useradd, usermod, et userdel pour créer, déplacer, ou supprimer les boîtes aux lettres des utilisateurs.

If MAIL_CHECK_ENAB is set to yes, they are also used to define the MAIL environment variable.

MAX_MEMBERS_PER_GROUP (nombre)
    Nombre maximum de membres par entrée de groupe. Lorsque le maximum est atteint, une nouvelle entrée de groupe (ligne) est démarrée dans /etc/group (avec le même nom, même mot de passe, et même GID).

    La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

    Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

    Si vous avez besoin de fixer cette limite, vous pouvez utiliser 25.

    Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VOIR AUSSI

chfn(1), chsh(1), passwd(1), crypt(3), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8).